<?php

namespace App\Http\ApiV1\Modules\Imports\Tests\Factories;

use App\Domain\Categories\Models\Category;
use Ensi\LaravelTestFactories\BaseApiFactory;

class GenerateImportTemplateRequestFactory extends BaseApiFactory
{
    protected function definition(): array
    {
        return [
            'category_id' => Category::factory()->create()->id,
        ];
    }

    public function make(array $extra = []): array
    {
        return $this->makeArray($extra);
    }
}
