<?php

namespace App\Http\ApiV1\Support\Resources;

use App\Domain\Support\Models\TempFile;

/**
 * @mixin TempFile
 */
class GenerateProtectedFileResource extends BaseJsonResource
{
    public function toArray($request): array
    {
        return [
            'file' => $this->mapProtectedFileToResponse($this->path),
        ];
    }
}
